{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Data from device' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'devlog/devlog_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'sn',align:'center',width:180">Device</th>
        <th data-options="field:'op_name',align:'center',width:100">Upload time</th>
        <th data-options="field:'op',align:'center',width:180">Data</th>
        <th data-options="field:'object',align:'center',width:180">Object</th>
        <th data-options="field:'record_count',align:'center',width:180">Record count</th>
        <th data-options="field:'error_count',align:'center',width:180">Error count</th>
        <th data-options="field:'area_name',align:'center',width:180">Area</th>
      </tr>
    </thead>
    <tbody>
	    {% for devlog in devlogs %}
	      <tr>
	        <td><input type="checkbox" class=""></td>
	        <td>{{ devlog.iclock.sn }}</a></td>
	        <td>{{ devlog.op_time }}</td>
	        <td>{{ devlog.op }}</td>
	        <td>{{ devlog.object }}</td>
	        <td>{{ devlog.record_count }}</td>
	        <td>{{ devlog.error_count }}</td>
	        <td>{{ devlog.area.area_name }}</td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=devlogs %}

{% endblock content %}
